# Geo

***Geo area resources, through the selection of Geo, accept a specific area of traffic, the flow of other areas will be rejected.***

## Available methods <a href="#available-methods" id="available-methods"></a>

| Methods    | HTTP method | Endpoint                                                                                                                                                          | Description                                  |
| ---------- | ----------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------- |
| **Create** |             |                                                                                                                                                                   |                                              |
|            | POST        | [/v1/offers/{offer\_id}/geo](https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/geo/add_a_new_geo_for_offer)                     | Add a new geo for offer                      |
| **Update** |             |                                                                                                                                                                   |                                              |
|            | PUT         | [/v1/offers/{offer\_id}/geo/{geo\_id}](https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/geo/update_the_settings_for_a_geo)     | Update the settings for a geo                |
| **Get**    |             |                                                                                                                                                                   |                                              |
|            | GET         | [/v1/offers/{offer\_id}/geo](https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/geo/get_information_about_a_specific_offers_geo) | Get information about a specific offer’s geo |
| **Delete** |             |                                                                                                                                                                   |                                              |
|            | DELETE      | [/v1/offers/{offer\_id}/geo/{geo\_id}](https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/geo/delete_a_geo_of_offer)             | Delete a geo of offer                        |
|            | DELETE      | [/v1/offers/{offer\_id}/geo](https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/geo/delete_all_geo_of_offer)                     | Delete all geo of offer                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/geo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
